Update a bus run setup

Updates the schedule, stop and time types, route count, and optional grade, class, and weekday assignments for an existing bus run setup.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Run setup identifier.

Request

This endpoint expects an object.
namestringRequired<=255 characters
start_timestringRequiredformat: "^\\d{2}:\\d{2}:\\d{2}$"
end_timestringRequiredformat: "^\\d{2}:\\d{2}:\\d{2}$"
time_type_idintegerRequired
stop_type_idintegerRequired
amount_of_routesintegerRequired1-100
class_idslist of integers or nullOptional
grade_idslist of integers or nullOptional
days_of_weeklist of enums or nullOptional

Response

Run setup updated.
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error